#!/usr/bin/env bash
set -euo pipefail

export ORG="$(cut -d/ -f1 <<<"$1")"
export REPO="$(cut -d/ -f2 <<<"$1")"

envsubst <.jist/pyproject.toml >pyproject.toml

cp .jist/.editorconfig .
cp .jist/.gitignore .
cp .jist/Justfile .

mkdir -p NEWS.d
touch NEWS.d .gitignore
envsubst <.jist/CHANGELOG.md >CHANGELOG.md

mkdir -p docs
touch docs/conf.py
envsubst <.jist/badges.md >docs/badges.md

cp .jist/compose.yml .
envsubst <.jist/tox.ini >tox.ini

mkdir -p tests
touch tests/__init__.py
